This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 142629 - GTK troubles in stateless-snapshooter
GTK troubles in stateless-snapshooter
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: pygtk2 (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Barnes
http://blog.eikke.com/index.php/fedor...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-10 20:45 EST by Peter Dedecker
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-02 12:47:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Peter Dedecker 2004-12-10 20:45:19 EST
Description of problem:
We've set up a stateless server.  Since it is a server, no graphic
environment is installed.  Now, we followed the tutorial and want to
create a snapshot of a prototype system.  When we do so, we recieve a
RuntimeError: could not open display.  Du-uh, there is no such
display, it's a server, without X-environment.

Shouldn't it be better to create a real command-line tool without
graphical stuff to create snapshots?


How reproducible:
always

Steps to Reproduce:
1. just type in "stateless-snapshooter --list"
  
Actual results:
Traceback (most recent call last):
File "/usr/share/stateless/stateless-snapshooter.py", line 22, in ?
import gtk
File
"/usr/src/build/435489-i386/install/usr/lib/python2.3/site-packages/gtk-2.0/gtk/init.py",
line 37, in ?
RuntimeError: could not open display

Expected results:
Protosystems:
LVStateless1

Additional info:
See our blog at http://blog.eikke.com/index.php/fedorastateless for
more info
Comment 1 Peter Dedecker 2004-12-20 08:31:04 EST
As you can see on http://blog.eikke.com/index.php/fedorastateless, I
tried to make some changes to the script.  Now I recieve other errors,
indicating a problem with the LDAP-scripts.  If you just place "import
gtk" in comments in stateless-snapshooter.py, these are the results:

# sh stateless-snapshooter_modified --list
Traceback (most recent call last):
File "/usr/share/stateless/stateless-snapshooter.py_modified", line
79, in ?
protosystems = snapshooter.list_protosystems ()
File "/usr/share/stateless/snapshooter.py", line 54, in list_protosystems
srv = get_readonly_service ()
File "/usr/share/stateless/snapshooter.py", line 50, in
get_readonly_service
return LDAPUtils.StatelessService (LDAPUtils.ReadOnlyDirectory (cfg))
File "/usr/share/stateless/LDAPUtils.py", line 81, in init
Directory.init (self, cfg)
File "/usr/share/stateless/LDAPUtils.py", line 65, in init
self.uri = cfg.get_ldap_uri ()
File "/usr/share/stateless/config.py", line 43, in get_ldap_uri
server = self["LDAP_SERVER"].lstrip()
AttributeError: 'NoneType' object has no attribute 'lstrip'
Comment 2 Matthew Miller 2006-07-10 17:38:11 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 3 Matthew Barnes 2007-01-02 07:48:38 EST
Is this problem still present in Fedora Core 6 or later?
Comment 4 Matthew Barnes 2007-10-02 12:47:09 EDT
Closing as INSUFFICIENT_DATA due to lack of response.

Note You need to log in before you can comment on or make changes to this bug.